Subject: [Lwip] Revising RFC 7228 - Classes of Constrained Devices

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 1 Jun 2016 14:45:15 +0200

Hi all,

I wonder whether it is time to revise RFC 7228 (or to update it). I am
particularly interested to adjust the description of the constrained
device classes since we (after some years of work) now know so much more
about the software requirements.

What is missing IMHO from the classes is a description of what we expect
these devices to run. I think we need to get the expectation set correctly.

I believe that this would be a good topic for discussion at the next
IETF meeting (since I saw a meeting request from the LWIG chairs flying
around).

Ciao
Hannes

---

From: Emmanuel Baccelli <[email-masked]>
Date: Wed, 1 Jun 2016 14:49:53 +0200

On Wed, Jun 1, 2016 at 2:45 PM, Hannes Tschofenig <[email-masked]
> wrote:

> these devices to run. I think we need to get the expectation set correctly.
+1 for revisiting/reevaluating this (already useful) document.

> _______________________________________________
> Lwip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lwip
>
>

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 01 Jun 2016 15:26:56 +0200

> about the software requirements.

I'm not sure what exactly you want to revise here.
There is a statement that we expect Class 1 to be a useful citizen on
the Internet.  Do we need to revise this?

> these devices to run. I think we need to get the expectation set correctly.

That would be interesting work, but it might exacerbate the comment we
got repeatedly on RFC 7228: The information in there has a shelf life.
By keeping out of some subjects, we have managed to keep the time until
that will happen reasonably long for the original 7228.  Trying to write
up our expectations of what an IoT device should be running is going to
cause changes much more rapidly.

Apart from those observations, revisiting 7228 based on new information
we might now have is a very good idea.

Grüße, Carsten

---

From: Alexander PELOV <[email-masked]>
Date: Wed, 1 Jun 2016 15:48:05 +0200 (CEST)

+1

----- Mail original -----
De: "Emmanuel Baccelli" <[email-masked]>
À: [email-masked]
Envoyé: Mercredi 1 Juin 2016 14:49:53
Objet: Re: [Lwip] Revising RFC 7228 - Classes of Constrained Devices

On Wed, Jun 1, 2016 at 2:45 PM, Hannes Tschofenig < [email-masked] > wrote: 

Hi all, 

Ciao 
Hannes

---

From: Michael Richardson <[email-masked]>
Date: Wed, 01 Jun 2016 11:37:30 -0400

Hannes Tschofenig <[email-masked]> wrote:
    > device classes since we (after some years of work) now know so much
    > more about the software requirements.

I also think we should re-open the document.
I find that an increasing number of devices are >C1, and not really C2.
And an increasing number of devices >C2, but still constrained in many ways.

(For instance: home routers which are relatively rich on code space compared
to C2, but have no real time clock, user interface, and while they can move
packets thanks to hardware assist, have no CPU left ...)

(Or most any smartphone: piles and piles of CPU and storage, and user
interface, but battery constraints mean they never want to do TCP or TLS keep
alives... Not really constrained, but clearly not in the same class as a
desktop)

    > What is missing IMHO from the classes is a description of what we
    > expect these devices to run. I think we need to get the expectation set
    > correctly.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-